<?xml version="1.0"?>
<odoo>
    <!-- Thanh toán -->
    <data>
        <record id="view_project_pay_detail" model="ir.ui.view">
            <field name="name">project.pay.detail</field>
            <field name="model">project.project</field>
            <field name="type">project_pay_popup</field>
            <field name="arch" type="xml">
                <form string="">
                    <field name="follower_ids" invisible="1"/>
                    <field name="muids" invisible="1"/>
                    <field name="existed_role_uids" invisible="1"/>
                    <field name="project_end" invisible="1"/>
                    <field name="pay_status_editable" invisible="1"/>
                    <sheet>
                        <group>
                            <group>
                                <field name="name" readonly="1"/>
                            </group>
                        </group>
                        <group>
                            <group>
                                <field name="code" readonly="1"/>
                            </group>
                            <group>
                                <field name="pay_status_id" attrs="{'readonly':['|', ('project_end', '=', True), ('pay_status_editable', '=', False)]}" domain="[('state', '=', '1')]" options="{'no_create': True, 'no_open':True}"/>
                            </group>
                        </group>
                        <div class="pay_detail">
                            <div class="v_pay_detail_total">
                                <div class="item">
                                    <label for="amount"/>: <field name="amount" readonly="1"/>
                                </div>
                                <div class="item">
                                    <label for="paid"/>: <field name="paid" readonly="1"/>
                                </div>
                                <div class="item">
                                    <label for="wait"/>: <field name="wait" readonly="1"/>
                                </div>
                            </div>
                            <div style="float:none;clear:both;"/>

                            <group>
                                <field nolabel="1" name="pay_detail_id" widget="tree_project_pay_detail" attrs="{'readonly':[('project_end', '=', True)]}">
                                    <tree>
                                        <field name="order" readonly="1"/>
                                        <field name="descx"/>
                                        <field name="contract"/>
                                        <field name="chairman_str"/>
                                        <field name="follower_str"/>
                                        <field name="bill_date"/>
                                        <field name="value" widget="money_number"/>
                                        <field name="paid" widget="money_number"/>
                                        <field name="bill"/>
                                        <field name="note" widget="char_ellipsis" attrs="{'width': '80px'}"/>
                                    </tree>
                                </field>
                            </group>
                        </div>

                        <div class="pay_expected">
                            <group>
                                <field nolabel="1" name="pay_expected_id" widget="tree_project_pay_expected" attrs="{'readonly':[('project_end', '=', True)]}">
                                    <tree editable="bottom" decoration-danger="outdate==True" decoration-success="outdate==False">
                                        <field name="outdate" invisible="1"/>
                                        <field name="outdate_sendable" invisible="1"/>
                                        <field name="completable_expect" invisible="1"/>
                                        <field name="order" readonly="1"/>
                                        <field name="descx"/>
                                        <field name="follower" options="{'no_open': True}"/>
                                        <field name="expected_date"/>
                                        <field name="expecten_pay" widget="money_number"/>
                                        <field name="pay_date" attrs="{'readonly': [('completable_expect', '=', False)]}"/>
                                        <field name="pay_value" widget="money_number" attrs="{'readonly': [('completable_expect', '=', False)]}"/>
                                        <field name="bill" attrs="{'readonly': [('completable_expect', '=', False)]}"/>
                                        <!-- <field name="pay_status" attrs="{'readonly': [('completable_expect', '=', False)]}"/> -->
                                        <field name="note1" attrs="{'readonly': [('completable_expect', '=', False)]}"/>
                                        <field name="note"/>
                                        <button name="email_notify_outdate" confirm="Bạn có chắc chắn gửi mail nhắc nhở thanh toán không?" string="Email báo quá hạn" icon="fa-exclamation-triangle" type="object" attrs="{'invisible': ['|', ('outdate', '=', False), ('outdate_sendable', '=', False)]}"/>
                                    </tree>
                                </field>
                            </group>
                        </div>
                    </sheet>
                    <style>
                        <![CDATA[
                            td button.o_icon_button {padding: 1px 3px 0px 3px;background-color:#f00;}
                        ]]>
                    </style>
                </form>
            </field>
        </record>

        <!-- Popup Chi tiết thanh toán -->
        <record id="view_project_paydetail_popup" model="ir.ui.view">
            <field name="name">project.project.paydetail.popup</field>
            <field name="model">project.project.paydetail</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form>
                    <sheet>
                        <group>
                            <group>
                                <field name="contract"/>
                                <field name="bill"/>
                                <field name="value" widget="money_number"/>
                            </group>
                            <group>
                                <field name="descx"/>
                                <field name="bill_date"/>
                                <field name="paid" widget="money_number"/>
                            </group>
                            <field name="chairman_ids" domain="[('active', '=', True)]" context="{'v_restrict':True, 'ids_str':parent.existed_role_uids}" widget="many2many_tags" options="{'no_create':True, 'no_open':True}"/>
                            <field name="follower_ids" domain="[('active', '=', True)]" context="{'v_restrict':True, 'ids_str':parent.existed_role_uids}" widget="many2many_tags" options="{'no_create':True, 'no_open':True}"/>
                            <field name="note"/>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>
        <record id="action_project_paydetail_popup" model="ir.actions.act_window">
            <field name="name">Thêm chi tiết thanh toán</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">project.project.paydetail</field>
            <field name="view_mode">form</field>
            <field name="target">new</field>
            <field name="view_id" ref="view_project_paydetail_popup"/>
        </record>
    </data>

    <!-- Dự án -->
    <data>
        <!-- Form chi tiết Xuất hàng -->
        <record id="view_project_project_shipment_detail" model="ir.ui.view">
            <field name="name">project.project.shipment.detail</field>
            <field name="model">project.project.shipment</field>
            <field name="type">project_shipment_popup</field>
            <field name="arch" type="xml">
                <form>
                    <sheet>
                        <group>
                            <group>
                                <field name="number"/>
                                <field name="datex"/>
                                <field name="transport"/>
                                <field name="car_plate"/>
                                <field name="driver"/>
                                <field name="driver_phone" widget="number_only"/>
                            </group>
                            <group>
                                <field name="fromx" domain="[('state', '=', '1')]" options="{'no_open': True, 'no_create': True, 'no_create_edit': True}"/>
                                <field name="to"/>
                                <field name="descx"/>
                                <field name="location"/>
                                <field name="attach_name" invisible="1"/>
                                <field name="attach" filename="attach_name" widget="my_binary"/>
                            </group>
                        </group>
                        <div class="shipment_weight">
                            <field name="weight_id" widget="tree_project_shipment_weight" context="{'shipment_id': active_id}">
                                <tree editable="top">
                                    <field name="order" readonly="1"/>
                                    <field name="number"/>
                                    <field name="descx"/>
                                    <field name="datex"/>
                                    <field name="weight"/>
                                    <field name="write_date" string="Ngày cập nhật" readonly="1"/>
                                    <field name="write_uid" string="Người cập nhật" readonly="1" options="{'no_open':True, 'no_create':True}"/>
                                    <field name="attach" filename="attach_name" widget="my_binary"/>
                                    <field name="attach_name" invisible="1"/>
                                </tree>
                            </field>
                        </div>                            
                    </sheet>
                    <div class="oe_chatter">
                        <field name="message_ids" widget="mail_thread"/>
                    </div>
                    <style>
                        <![CDATA[
                        div.o_chatter_topbar, i.o_thread_message_star {display:none !important;}
                        .modal .modal-dialog .o_form_view .oe_chatter{display:block !important; width:100% !important; padding:0px !important;}]]>
                    </style>
                </form>
            </field>
        </record>

        <!-- Form chi tiết Phiếu giao việc -->
        <record id="view_project_project_job_detail" model="ir.ui.view">
            <field name="name">project.project.job.detail</field>
            <field name="model">project.project.job</field>
            <field name="type">project_job_popup</field>
            <field name="arch" type="xml">
                <form>
                    <sheet>
                        <group>
                            <group>
                                <field name="create_uid" options="{'no_open':True}"/>
                                <field name="typex"/>
                                <field name="create_date" string="Ngày tạo phiếu" readonly="1"/>
                            </group>
                            <group>
                                <field name="write_uid" options="{'no_open':True}" string="Người cập nhật" readonly="1"/>
                                <field name="write_date" string="Ngày cập nhật" readonly="1"/>
                                <field name="attach" filename="attach_name" widget="my_binary"/>
                                <field name="attach_name" invisible="1"/>
                            </group>
                        </group>
                    </sheet>
                    <div class="oe_chatter">
                        <field name="message_ids" widget="mail_thread"/>
                    </div>
                    <style>
                        <![CDATA[
                        div.o_chatter_topbar, i.o_thread_message_star {display:none !important;}
                        .modal .modal-dialog .o_form_view .oe_chatter{display:block !important; width:100% !important; padding:0px !important;}]]>
                    </style>
                </form>
            </field>
        </record>

        <!-- Form chi tiết Quy cách vật liệu -->
        <record id="view_project_project_material_detail" model="ir.ui.view">
            <field name="name">project.project.material.detail</field>
            <field name="model">project.project.material</field>
            <field name="type">project_material_popup</field>
            <field name="arch" type="xml">
                <form>
                    <sheet>
                        <group>
                            <group>
                                <field name="material"/>
                                <field name="style"/>
                                <field name="category"/>
                                <field name="original"/>
                                <field name="color"/>
                            </group>
                            <group>
                                <field name="write_uid" options="{'no_open':True}" string="Người cập nhật" readonly="1"/>
                                <field name="write_date" string="Ngày cập nhật" readonly="1"/>
                                <field name="state"/>
                                <field name="approved_date"/>
                            </group>
                        </group>
                    </sheet>
                    <div class="oe_chatter">
                        <field name="message_ids" widget="mail_thread"/>
                    </div>
                    <style>
                        <![CDATA[
                        div.o_chatter_topbar, i.o_thread_message_star {display:none !important;}
                        .modal .modal-dialog .o_form_view .oe_chatter{display:block !important; width:100% !important; padding:0px !important;}]]>
                    </style>
                </form>
            </field>
        </record>

        <!-- Form chi tiết Bản vẽ -->
        <record id="view_project_project_drawing_detail" model="ir.ui.view">
            <field name="name">project.project.drawing.detail</field>
            <field name="model">project.project.drawing</field>
            <field name="type">project_drawing_popup</field>
            <field name="arch" type="xml">
                <form>
                    <sheet>
                        <group>
                            <group>
                                <field name="name"/>
                                <field name="typex"/>
                                <field name="category"/>
                                <field name="version"/>
                                <field name="version_date"/>
                                <field name="attach_name" invisible="1"/>
                            </group>
                            <group>
                                <field name="attach" filename="attach_name" widget="my_binary"/>
                                <field name="state"/>
                                <field name="write_uid" options="{'no_open':True}" string="Người cập nhật" readonly="1"/>
                                <field name="write_date" string="Ngày cập nhật" readonly="1"/>
                                <field name="note" widget="char_ellipsis" attrs="{'width': '80px'}"/>
                            </group>
                        </group>
                    </sheet>
                    <div class="oe_chatter">
                        <field name="message_ids" widget="mail_thread"/>
                    </div>
                    <style>
                        <![CDATA[
                        div.o_chatter_topbar, i.o_thread_message_star {display:none !important;}
                        .modal .modal-dialog .o_form_view .oe_chatter{display:block !important; width:100% !important; padding:0px !important;}]]>
                    </style>
                </form>
            </field>
        </record>

        <!-- Form chi tiết Timeline sản xuất -->
        <record id="view_project_project_timeline_detail" model="ir.ui.view">
            <field name="name">project.project.timeline.detail</field>
            <field name="model">project.project.timeline</field>
            <field name="type">project_timeline_popup</field>
            <field name="arch" type="xml">
                <form>
                    <sheet>
                        <group>
                            <group>
                                <field name="create_uid" readonly="1"/>
                                <field name="process"/>
                                <field name="descx" widget="char_ellipsis" attrs="{'width': '80px'}"/>
                                <!-- <field name="create_date" string="Ngày gửi" readonly="1"/> -->
                            </group>
                            <group>
                                <field name="factory"/>
                                <!-- <field name="write_date" string="Ngày cập nhật" readonly="1"/> -->
                                <!-- <field name="write_uid" options="{'no_open':True}" string="Người cập nhật" readonly="1"/> -->
                                <field name="attach_name" invisible="1"/>
                                <field name="attach" filename="attach_name" widget="my_binary"/>
                            </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>

        <!-- Form chi tiết Chi phí công trường -->
        <record id="view_project_project_costs_detail" model="ir.ui.view">
            <field name="name">project.project.costs.detail</field>
            <field name="model">project.project.costs</field>
            <field name="type">project_costs_popup</field>
            <field name="arch" type="xml">
                <form>
                    <sheet>
                        <group>
                            <group>
                                <field name="descx"/>
                                <field name="datex"/>
                                <field name="income" widget="money_number"/>
                                <field name="outcome" widget="money_number"/>
                                <field name="write_date" string="Ngày cập nhật" readonly="1"/>
                            </group>
                            <group>
                                <field name="bill_num"/>
                                <field name="bill_note"/>
                                <field name="create_uid" readonly="1" options="{'no_open':True}"/>
                                <field name="approved_uid"/>
                            </group>
                        </group>
                    </sheet>
                    <div class="oe_chatter">
                        <field name="message_ids" widget="mail_thread"/>
                    </div>
                    <style>
                        <![CDATA[
                        div.o_chatter_topbar, i.o_thread_message_star {display:none !important;}
                        .modal .modal-dialog .o_form_view .oe_chatter{display:block !important; width:100% !important; padding:0px !important;}]]>
                    </style>
                </form>
            </field>
        </record>

        <!-- Chi tiết dự án -->
    	<record id="view_project_project_detail" model="ir.ui.view">
            <field name="name">project.project.detail</field>
            <field name="model">project.project</field>
            <field name="type">project_project_detail</field>
            <field name="arch" type="xml">
                <form string="">
                    <field name="existed_role_uids" invisible="1"/>
                    <field name="role" invisible="1"/>
                    <field name="investor_id" invisible="1"/>
                    <field name="supervisor_id" invisible="1"/>
                    <field name="contractor_id" invisible="1"/>
                    <field name="project_end" invisible="1"/>
                    <field name="status_id" invisible="1"/>
                	<sheet>
                		<notebook>
                            <page string="Thông tin chung">
                                <div class="button-add-exp v_project_save_btns">
                                    <span>Dữ liệu đã thay đổi bạn có muốn lưu không ?</span>
                                    <a class="v_save_btn">
                                        <span class="tech">Lưu</span>
                                    </a>
                                    <a class="v_cancel_btn">
                                        <span class="tech">Huỷ</span>
                                    </a>
                                </div>
                                <group>
                                    <group>
                                        <field name="location" readonly="1"/>
                                    </group>
                                </group>
                                <group>
                                    <group>
                                        <group>
                                            <field name="start_date" attrs="{'readonly':['|', ('project_end', '=', True), ('role', '!=', -1)]}"/>
                                        </group>
                                    </group>
                                </group>
                                <group>
                                    <group>
                                        <field name="typex" attrs="{'readonly':['|', ('project_end', '=', True), ('role', '!=', -1)]}"/>
                                    </group>
                                </group>
                                <group>
                                    <field name="pay_terms" readonly="1"/>
                                </group>
                                <group>
                                    <group>
                                        <field name="investor_fname" string="Chủ đầu tư"/>
                                    </group>
                                </group>
                                <div>
                                    <div class="col-md-10 col-lg-10 v_col_left">
                                        <label for="investor_contact_ids"/><br/>
                                        <field name="investor_contact_ids" widget="many2many_deletable" nolabel="1" context="{'investor_id' : investor_id}" attrs="{'readonly':['|', ('project_end', '=', True), ('role', '!=', -1)]}">
                                            <tree>
                                                <field name="name"/>
                                                <field name="position"/>
                                                <field name="email"/>
                                                <field name="phone" widget="number_only"/>
                                            </tree>
                                        </field>
                                    </div>
                                    <div class="col-md-5 col-lg-5 v_col_right">
                                        <label for="investor_address_ids"/><br/>
                                        <field name="investor_address_ids" readonly="1"/>
                                    </div>
                                </div>

                                <group>
                                    <group>
                                        <field name="supervisor_fname" string="Tư vấn giám sát"/>
                                    </group>
                                </group>
                                <div>
                                    <div class="col-md-10 col-lg-10 v_col_left">
                                        <label for="supervisor_contact_ids"/><br/>
                                        <field name="supervisor_contact_ids" widget="many2many_deletable" nolabel="1" context="{'supervisor_id' : supervisor_id}" attrs="{'readonly':['|', ('project_end', '=', True), ('role', '!=', -1)]}">
                                            <tree>
                                                <field name="name"/>
                                                <field name="position"/>
                                                <field name="email"/>
                                                <field name="phone" widget="number_only"/>
                                            </tree>
                                        </field>
                                    </div>
                                    <div class="col-md-5 col-lg-5 v_col_right">
                                        <label for="supervisor_address_ids"/><br/>
                                        <field name="supervisor_address_ids" readonly="1"/>
                                    </div>
                                </div>

                                <group>
                                    <group>
                                        <field name="contractor_fname" string="Thầu chính"/>
                                    </group>
                                </group>
                                <div>
                                    <div class="col-md-10 col-lg-10 v_col_left">
                                        <label for="contractor_contact_ids"/><br/>
                                        <field name="contractor_contact_ids" widget="many2many_deletable" nolabel="1" context="{'contractor_id' : contractor_id}" attrs="{'readonly':['|', ('project_end', '=', True), ('role', '!=', -1)]}">
                                            <tree>
                                                <field name="name"/>
                                                <field name="position"/>
                                                <field name="email"/>
                                                <field name="phone" widget="number_only"/>
                                            </tree>
                                        </field>
                                    </div>
                                    <div class="col-md-5 col-lg-5 v_col_right">
                                        <label for="contractor_address_ids"/><br/>
                                        <field name="contractor_address_ids" readonly="1"/>
                                    </div>
                                </div>
                                <label for="role_ids" style="width:100%;"/>
                                <newline/>
                                <field name="role_ids" widget="one2many_deletable" nolabel="1" attrs="{'readonly':['|', ('project_end', '=', True), ('role', '!=', -1)]}">
                                    <tree editable="bottom">
                                        <field name="user_id" options="{'no_create':True, 'no_create_edit':True,'no_open':True}" required="1" context="{'v_details': True, 'v_except': True, 'v_self' : parent.role_ids, 'v_self_existed': parent.existed_role_uids}"/>
                                        <field name="position_id" options="{'no_open':True}" readonly="1"/>
                                        <field name="quota_id" options="{'no_open':True}" readonly="1"/>
                                        <field name="user_code" readonly="1"/>
                                        <field name="role_job_assign" widget="project_role_boolean" attrs="{'raw_heading':1}"/>
                                        <field name="role_material" widget="project_role_boolean" attrs="{'raw_heading':1}"/>
                                        <field name="role_drawing" widget="project_role_boolean" attrs="{'raw_heading':1}"/>
                                        <field name="role_timeline" widget="project_role_boolean" attrs="{'raw_heading':1}"/>
                                        <field name="role_manufact" widget="project_role_boolean" attrs="{'raw_heading':1}"/>
                                        <field name="role_shipment" widget="project_role_boolean" attrs="{'raw_heading':1}"/>
                                        <field name="role_costs" widget="project_role_boolean" attrs="{'raw_heading':1}"/>
                                        <field name="inline_deltable" invisible="1"/>
                                    </tree>
                                </field>
                            </page>
                            <page string="Phiếu giao việc" invisible="1">
                                <div class="job_ids">
                                <field name="job_ids" widget="tree_project_job" attrs="{'readonly':[('project_end', '=', True)]}">
                                    <tree>
                                        <field name="order" readonly="1"/>
                                        <field name="create_uid" options="{'no_open':True}"/>
                                        <field name="typex"/>
                                        <field name="create_date" string="Ngày tạo phiếu" readonly="1"/>
                                        <field name="write_uid" options="{'no_open':True}" string="Người cập nhật" readonly="1"/>
                                        <field name="write_date" string="Ngày cập nhật" readonly="1"/>
                                        <field name="attach" filename="attach_name" widget="my_binary"/>
                                        <field name="attach_name" invisible="1"/>
                                    </tree>
                                </field>
                                </div>
                            </page>
                            <page string="Quy cách vật liệu" invisible="1">
                                <field name="material_ids" widget="tree_project_material" attrs="{'readonly':[('project_end', '=', True)]}">
                                    <tree>
                                        <field name="order" readonly="1"/>
                                        <field name="material"/>
                                        <field name="style"/>
                                        <field name="category"/>
                                        <field name="original"/>
                                        <field name="color"/>
                                        <field name="write_uid" options="{'no_open':True}" string="Người cập nhật" readonly="1"/>
                                        <field name="write_date" string="Ngày cập nhật" readonly="1"/>
                                        <field name="state"/>
                                        <field name="approved_date"/>
                                    </tree>
                                </field>
                            </page>
                            <page string="Bản vẽ" invisible="1">
                                <field name="drawing_ids" widget="tree_project_drawing" attrs="{'readonly':[('project_end', '=', True)]}">
                                    <tree>
                                        <field name="order" readonly="1"/>
                                        <field name="name"/>
                                        <field name="typex"/>
                                        <field name="category"/>
                                        <field name="version"/>
                                        <field name="version_date"/>
                                        <field name="attach_name" invisible="1"/>
                                        <field name="attach" filename="attach_name" widget="my_binary"/>
                                        <field name="state"/>
                                        <field name="write_uid" options="{'no_open':True}" string="Người cập nhật" readonly="1"/>
                                        <field name="write_date" string="Ngày cập nhật" readonly="1"/>
                                        <field name="note" widget="char_ellipsis" attrs="{'width': '80px'}"/>
                                    </tree>
                                </field>
                            </page>
                            <page string="Timeline sản xuất" invisible="1">
                                <field name="timeline_ids" widget="tree_project_timeline" attrs="{'readonly':[('project_end', '=', True)]}">
                                    <tree>
                                        <field name="order" readonly="1"/>
                                        <field name="create_uid"/>
                                        <field name="process"/>
                                        <field name="descx" widget="char_ellipsis" attrs="{'width': '100%'}"/>
                                        <field name="factory"/>
                                        <field name="create_date" string="Ngày gửi" readonly="1"/>
                                        <field name="write_date" string="Ngày cập nhật" readonly="1"/>
                                        <field name="write_uid" options="{'no_open':True}" string="Người cập nhật" readonly="1"/>
                                        <field name="attach_name" invisible="1"/>
                                        <field name="attach" filename="attach_name" widget="my_binary"/>
                                    </tree>
                                </field>
                                <style>
                                    <![CDATA[
                                        td[data-field="descx"]{min-width: 220px; max-width:250px;}
                                    ]]>
                                </style>
                            </page>
                            <page string="Theo dõi sản xuất" invisible="1">
                                <field name="manufact_ids" widget="tree_project_manufact" attrs="{'readonly':[('project_end', '=', True)]}">
                                    <tree editable="bottom">
                                        <field name="is_total" string=""/>
                                        <field name="seq" string=""/>
                                        <field name="next_seq" string=""/>
                                        <field name="project_id" invisible="1"/>
                                        <field name="order" readonly="1"/>
                                        <field name="name" required='1' widget="project_manufact_title"/>
                                        <field name="unit"/>
                                        <field name="number" required='1' widget="project_number"/>
                                        <field name="longx"/>
                                        <field name="category"/>
                                        <field name="factory" domain="[('state', '=', '1')]" options="{'no_open': True, 'no_create': True, 'no_create_edit': True}"/>
                                        <field name="process" required='1' widget="project_process_selection" context="{'form_inline':True}" options="{'no_open': True, 'no_create': True, 'no_create_edit': True}"/>
                                        <field name="note" widget="char_ellipsis" attrs="{'width': '80px'}"/>
                                    </tree>
                                </field>
                                <style>
                                    <![CDATA[
                                        td[data-field="seq"], td[data-field="next_seq"], td[data-field="is_total"],th[data-id="seq"], th[data-id="next_seq"], th[data-id="is_total"]{display:none !important;}
                                    ]]>
                                </style>
                            </page>
                            <page string="Xuất hàng" invisible="1">
                                <div class="ProjectShipment">
                                    <field name="shipment_ids" widget="tree_project_Shipment" attrs="{'readonly':[('project_end', '=', True)]}">
                                        <tree>
                                            <field name="order" readonly="1"/>
                                            <field name="number"/>
                                            <field name="datex"/>
                                            <field name="transport"/>
                                            <field name="car_plate"/>
                                            <field name="driver"/>
                                            <field name="driver_phone" widget="number_only"/>
                                            <field name="fromx" domain="[('state', '=', '1')]" options="{'no_open': True, 'no_create': True, 'no_create_edit': True}"/>
                                            <field name="to"/>
                                            <field name="descx"/>
                                            <field name="location"/>
                                            <field name="write_uid" options="{'no_open':True}" string="Người cập nhật" readonly="1"/>
                                            <field name="write_date" string="Ngày cập nhật" readonly="1"/>
                                            <field name="attach_name" invisible="1"/>
                                            <field name="attach" filename="attach_name" widget="my_binary"/>
                                        </tree>
                                    </field>
                                </div>
                            </page>
                            <page string="Chi phí công trường" invisible="1">
                                <div class="v_costs">
                                    <div class="v_costs_total">
                                        <div class="item">
                                            <label for="costs_total_income"/>: <field name="costs_total_income" readonly="1"/>
                                        </div>
                                        <div class="item">
                                            <label for="costs_total_outcome"/>: <field name="costs_total_outcome" readonly="1"/>
                                        </div>
                                        <div class="item">
                                            <label for="costs_total_rest"/>: <field name="costs_total_rest" readonly="1"/>
                                        </div>
                                            
                                    </div>
                                    <field name="costs_ids" widget="tree_project_Costs" attrs="{'readonly':[('project_end', '=', True)]}">
                                        <tree>
                                            <field name="order" readonly="1"/>
                                            <field name="descx"/>
                                            <field name="datex"/>
                                            <field name="income" widget="money_number"/>
                                            <field name="outcome" widget="money_number"/>
                                            <field name="bill_num"/>
                                            <field name="bill_note"/>
                                            <field name="create_uid" readonly="1" options="{'no_open':True}"/>
                                            <field name="approved_uid"/>
                                            <field name="write_date" string="Ngày cập nhật" readonly="1"/>
                                        </tree>
                                    </field>
                                </div>
                            </page>
                        </notebook>
                	</sheet>
                    <style>
                        <![CDATA[
                            body .o_control_panel .breadcrumb {width:100% !important;}
                            body .o_control_panel .o_cp_searchview, body .o_control_panel .btn.o_enable_searchview {display:none !important;}
                        ]]>
                    </style>
                </form>
            </field>
        </record>

        <!-- Popup Dự án khách hàng -->
        <record id="view_project_project_popup" model="ir.ui.view">
            <field name="name">project.project.popup</field>
            <field name="model">project.project</field>
            <field name="type">project_project_popup</field>
            <field name="arch" type="xml">
                <form>
                    <field name="show_review_date" invisible="1"/>
                    <sheet>
                        <group>
                            <field name="name"/>
                            <group>
                                <field name="code"/>
                                <field name="year"/>
                                <field name="typex"/>
                                <field name="company_id" options="{'no_create':True, 'no_open': True}" context="{'sudox':True}"/>
                                <field name="status_id" domain="[('state', '=', '1')]" options="{'no_create':True, 'no_open': True}"/>
                                <field name="review_to" attrs="{'invisible': ['|', ('review_date', '=', 0),('show_review_date', '=', False)]}"/>
                            </group>
                            <group>
                                <field name="location"/>
                                <field name="contractor_id" widget="many2one_customize" attrs="{'options': {'no_create':True, 'no_open':True}}"/>
                                <field name="investor_id"  widget="many2one_customize" attrs="{'options': {'no_create':True, 'no_open':True}}"/>
                                <field name="supervisor_id"  widget="many2one_customize" attrs="{'options': {'no_create':True, 'no_open':True}}"/>
                                <field name="review_date" attrs="{'invisible': [('show_review_date', '=', False)], 'required': [('show_review_date', '=', True)]}"/>
                            </group>
                            <field name="chairman_ids" domain="[('active', '=', True)]" context="{'v_details': True}" widget="many2many_tags" options="{'no_create':True}"/>
                            <field name="follower_ids" domain="[('active', '=', True)]" context="{'v_details': True}" widget="many2many_tags" options="{'no_create':True}"/>
                            <field name="pay_terms" widget="textarea" options="{'row': 18}"/>
                            <field name="note"/>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>
        <record id="action_project_project_popup" model="ir.actions.act_window">
            <field name="name">Thêm dự án</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">project.project</field>
            <field name="view_mode">project_project_popup</field>
            <field name="target">new</field>
            <field name="view_id" ref="view_project_project_popup"/>
        </record>

        <!-- Popup Dự án nội bộ -->
    	<record id="view_project_project_popup_internal" model="ir.ui.view">
            <field name="name">project.project.popup.internal</field>
            <field name="model">project.project</field>
            <field name="type">project_project_popup</field>
            <field name="arch" type="xml">
                <form>
                    <field name="show_review_date" invisible="1"/>
                	<sheet>
                		<group>
                            <field name="name"/>
                            <group>
                                <field name="code"/>
                                <field name="year"/>
                                <field name="project_buyer" options="{'no_open':True, 'no_create':True}" context="{'sudox':True}"/>
                                <field name="status_id" domain="[('state', '=', '1')]" options="{'no_create':True, 'no_open': True}"/>
                                <field name="review_to" attrs="{'invisible': ['|', ('review_date', '=', 0),('show_review_date', '=', False)]}"/>
                            </group>
                            <group>
                                <field name="project_type"/>
                                <field name="location"/>
                                <field name="project_seller" options="{'no_open':True, 'no_create':True}" context="{'sudox':True}"/>
                                <field name="review_date" attrs="{'invisible': [('show_review_date', '=', False)], 'required': [('show_review_date', '=', True)]}"/>
                            </group>
                            <field name="follower_ids" domain="[('active', '=', True)]" context="{'v_details': True}" widget="many2many_tags" options="{'no_create':True}"/>
                            <field name="project_desc"/>
                            <field name="note"/>
                		</group>
                	</sheet>
                </form>
            </field>
        </record>
        <record id="action_project_project_popup_internal" model="ir.actions.act_window">
            <field name="name">Thêm dự án</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">project.project</field>
            <field name="view_mode">project_project_popup</field>
            <field name="target">new</field>
            <field name="view_id" ref="view_project_project_popup_internal"/>
        </record>

        <!-- Liên hệ chủ đầu tư - danh sách -->
        <record id="view_project_investor_contact_tree" model="ir.ui.view">
            <field name="name">project.investor.contact.tree</field>
            <field name="model">project.investor.contact</field>
            <field name="arch" type="xml">
                <tree>
                    <field name="name"/>
                    <field name="position"/>
                    <field name="email"/>
                    <field name="phone"/>
                </tree>
            </field>
        </record>
        <!-- Liên hệ chủ đầu tư - biểu mẫu -->
        <record id="view_project_investor_contact_form" model="ir.ui.view">
            <field name="name">project.investor.contact.form</field>
            <field name="model">project.investor.contact</field>
            <field name="arch" type="xml">
                <form>
                    <group>
                        <group>
                            <field name="name"/>
                            <field name="email"/>
                        </group>
                        <group>
                            <field name="position"/>
                            <field name="phone" widget="number_only"/>
                        </group>
                    </group>
                </form>
            </field>
        </record>
        
        <!-- Liên hệ thầu chính - danh sách -->
        <record id="view_project_contractor_contact_tree" model="ir.ui.view">
            <field name="name">project.contractor.contact.tree</field>
            <field name="model">project.contractor.contact</field>
            <field name="arch" type="xml">
                <tree>
                    <field name="name"/>
                    <field name="position"/>
                    <field name="email"/>
                    <field name="phone"/>
                </tree>
            </field>
        </record>
        <!-- Liên hệ thầu chính - biểu mẫu -->
        <record id="view_project_contractor_contact_form" model="ir.ui.view">
            <field name="name">project.contractor.contact.form</field>
            <field name="model">project.contractor.contact</field>
            <field name="arch" type="xml">
                <form>
                    <group>
                        <group>
                            <field name="name"/>
                            <field name="email"/>
                        </group>
                        <group>
                            <field name="position"/>
                            <field name="phone" widget="number_only"/>
                        </group>
                    </group>
                </form>
            </field>
        </record>

        <!-- Liên hệ tư vấn giám sát - danh sách -->
        <record id="view_project_supervisor_contact_tree" model="ir.ui.view">
            <field name="name">project.supervisor.contact.tree</field>
            <field name="model">project.supervisor.contact</field>
            <field name="arch" type="xml">
                <tree>
                    <field name="name"/>
                    <field name="position"/>
                    <field name="email"/>
                    <field name="phone"/>
                </tree>
            </field>
        </record>
        <!-- Liên hệ tư vấn giám sát - biểu mẫu -->
        <record id="view_project_supervisor_contact_form" model="ir.ui.view">
            <field name="name">project.supervisor.contact.form</field>
            <field name="model">project.supervisor.contact</field>
            <field name="arch" type="xml">
                <form>
                    <group>
                        <group>
                            <field name="name"/>
                            <field name="email"/>
                        </group>
                        <group>
                            <field name="position"/>
                            <field name="phone" widget="number_only"/>
                        </group>
                    </group>
                </form>
            </field>
        </record>
    </data>

    <!-- Dự án master -->
    <data>
    	<record id="view_project_master_form" model="ir.ui.view">
            <field name="name">project.master.form</field>
            <field name="model">project.master</field>
            <field name="type">project_master</field>
            <field name="arch" type="xml">
                <form string="">
                	<sheet>
                		<notebook>
                			<page string="Dự án / Công việc">
                				<field name="project_ids" widget="tree_project">
                					<tree string="Danh sách dự án" delete="false" edit="false">
                                        <field name="actor_id" invisible="1"/>
                                        <field name="editable_project" invisible="1"/>
					                    <button name="edit" string="Sửa" icon="fa-edit" type="object" attrs="{'invisible': [('editable_project', '!=', True), ('actor_id', '!=', 1)]}"/>
					                    <field name="order"/>
					                    <field name="code"/>
					                    <field name="year"/>
                                        <field name="project_type"/>
					                    <field name="name"/>
					                    <field name="typex"/>
					                    <!-- <field name="location"/> -->
					                    <field name="investor_id"/>
                                        <field name="contractor_id"/>
                                        <field name="project_desc"/>
                                        <field name="project_buyer"/>
                                        <field name="project_seller"/>
					                    <field name="company_id"/>
                                        <field name="chairman_str" string="Chủ nhiệm"/>
                                        <field name="follower_str" string="Người theo dõi"/>
					                    <field name="status_id" />
					                    <field name="create_date" />
					                    <field name="write_date" />
					                    <field name="note" widget="char_ellipsis" attrs="{'width': '80px'}"/>
					                </tree>
                				</field>
                			</page>
                			<page string="Thanh toán" invisible="1">
                                <field name="pay_ids" widget="tree_pay">
                                    <tree string="Danh sách thanh toán" delete="false" edit="false">
                                        <field name="order"/>
                                        <field name="code"/>
                                        <field name="year"/>
                                        <field name="project_type"/>
                                        <field name="name"/>
                                        <field name="project_desc"/>
                                        <field name="project_buyer"/>
                                        <field name="project_seller"/>
                                        <field name="company_id"/>
                                        <field name="investor_id"/>
                                        <field name="contractor_id"/>
                                        <field name="chairman_str" string="Chủ nhiệm"/>
                                        <field name="follower_str" string="Người theo dõi"/>
                                        <field name="status_id" />
                                        <field name="pay_status_id" />
                                        <field name="amount" widget="money_number" />
                                        <field name="paid" widget="money_number" />
                                        <field name="wait" widget="money_number" />
                                        <field name="pay_write_date" />
                                        <field name="pay_note" widget="char_ellipsis" attrs="{'width': '80px'}"/>
                                    </tree>
                                </field>
                			</page>
                		</notebook>
                	</sheet>
                	<style>
                        <![CDATA[
                            td.o_form_field_x2many_list_row_add {display:none !important;}
                        ]]>
                    </style>
                </form>
            </field>
        </record>

        <record id="action_project_master" model="ir.actions.act_window">
            <field name="name">Dự án</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">project.master</field>
            <field name="view_mode">project_master</field>
            <field name="res_id">1</field>
            <field name="view_id" ref="view_project_master_form"/>
        </record>
        
        <menuitem action="action_project_master" id="menu_project_master" parent="menu_project_root" sequence="1"/>
    </data>
    <function name="update_view" model="project.process.criteria"/>
</odoo>
